Proj4js.defs["EPSG:27700"] = "+proj=tmerc +lat_0=49 +lon_0=-2 +k=0.9996012717 +x_0=400000 +y_0=-100000 +ellps=airy +datum=OSGB36 +units=m +no_defs";

var map = new OpenLayers.Map(
    'map',
    {
        projection: "EPSG:27700",
        units: "m",
        maxExtent: new OpenLayers.Bounds(-3276800,-3276800,3276800,3276800)
    }
);

var osTms_1 = new OpenLayers.Layer.TMS(
    "OS Premium TMS 1 url",
    'https://t0.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/tms/',
    {
        layername: 'ospremium/EPSG27700',
        type: 'png',
        tileOrigin: new OpenLayers.LonLat(-3276800.0, -3276800.0),
        serverResolutions: [25600, 19200, 12800, 9600, 6400, 4800, 3200, 2400, 1600, 1200, 800, 600, 400, 300, 200, 150, 100, 75, 50, 37.5, 25, 18.75, 10, 7.5, 5, 3.75, 2.5, 1.875, 1, 0.75, 0.5, 0.25, 0.125, 0.0625],
        resolutions: [25600,12800,6400,3200,1600,800,400,200,100,50,25,10,5,2.5,1,0.5,0.25,0.125,0.0625],
        attribution: "&copy; Ordnance Survey",
        isBaseLayer: true
    }
);

var osTms_2 = new OpenLayers.Layer.TMS(
    "OS Premium TMS 2 url",
    [
        'https://t0.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/tms/',
        'https://t1.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/tms/',
    ],
    {
        layername: 'ospremium/EPSG27700',
        type: 'png',
        tileOrigin: new OpenLayers.LonLat(-3276800.0, -3276800.0),
        serverResolutions: [25600, 19200, 12800, 9600, 6400, 4800, 3200, 2400, 1600, 1200, 800, 600, 400, 300, 200, 150, 100, 75, 50, 37.5, 25, 18.75, 10, 7.5, 5, 3.75, 2.5, 1.875, 1, 0.75, 0.5, 0.25, 0.125, 0.0625],
        resolutions: [25600,12800,6400,3200,1600,800,400,200,100,50,25,10,5,2.5,1,0.5,0.25,0.125,0.0625],
        attribution: "&copy; Ordnance Survey",
        isBaseLayer: true
    }
);

var osTms_3 = new OpenLayers.Layer.TMS(
    "OS Premium TMS 3 url",
    [
        'https://t0.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/tms/',
        'https://t1.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/tms/',
        'https://t2.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/tms/'
    ],
    {
        layername: 'ospremium/EPSG27700',
        type: 'png',
        tileOrigin: new OpenLayers.LonLat(-3276800.0, -3276800.0),
        serverResolutions: [25600, 19200, 12800, 9600, 6400, 4800, 3200, 2400, 1600, 1200, 800, 600, 400, 300, 200, 150, 100, 75, 50, 37.5, 25, 18.75, 10, 7.5, 5, 3.75, 2.5, 1.875, 1, 0.75, 0.5, 0.25, 0.125, 0.0625],
        resolutions: [25600,12800,6400,3200,1600,800,400,200,100,50,25,10,5,2.5,1,0.5,0.25,0.125,0.0625],
        attribution: "&copy; Ordnance Survey",
        isBaseLayer: true
    }
);

var osTms_4 = new OpenLayers.Layer.TMS(
    "OS Premium TMS 4 url",
    [
        'https://t0.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/tms/',
        'https://t1.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/tms/',
        'https://t2.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/tms/',
        'https://t3.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/tms/'
    ],
    {
        layername: 'ospremium/EPSG27700',
        type: 'png',
        tileOrigin: new OpenLayers.LonLat(-3276800.0, -3276800.0),
        serverResolutions: [25600, 19200, 12800, 9600, 6400, 4800, 3200, 2400, 1600, 1200, 800, 600, 400, 300, 200, 150, 100, 75, 50, 37.5, 25, 18.75, 10, 7.5, 5, 3.75, 2.5, 1.875, 1, 0.75, 0.5, 0.25, 0.125, 0.0625],
        resolutions: [25600,12800,6400,3200,1600,800,400,200,100,50,25,10,5,2.5,1,0.5,0.25,0.125,0.0625],
        attribution: "&copy; Ordnance Survey",
        isBaseLayer: true
    }
);

var osWmsSingle = new OpenLayers.Layer.WMS("OS Premium Single",
    'https://t0.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?',
    {
        layers: 'ospremium',
        version:'1.1.1',
        format:'image/png'
    },
    {
        resolutions: [25600,12800,6400,3200,1600,800,400,200,100,50,25,10,5,2.5,1,0.5,0.25,0.125,0.0625],
        attribution: "&copy; Ordnance Survey",
        projection: 'EPSG:27700',
        singleTile: true,
        ratio: 1,
        isBaseLayer: true
    }
);

var osWms256_1 = new OpenLayers.Layer.WMS("OS Premium 256 1 url",
    'https://t0.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?',
    {
        layers: 'ospremium',
        version:'1.1.1',
        format:'image/png'
    },
    {
        resolutions: [25600,12800,6400,3200,1600,800,400,200,100,50,25,10,5,2.5,1,0.5,0.25,0.125,0.0625],
        attribution: "&copy; Ordnance Survey",
        projection: 'EPSG:27700',
        singleTile: false,
        buffer: 0,
        tileSize: new OpenLayers.Size(256, 256),
        isBaseLayer: true
    }
);

var osWms256_2 = new OpenLayers.Layer.WMS("OS Premium 256 2 urls",
    [
        'https://t0.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?',
        'https://t1.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?'
    ],
    {
        layers: 'ospremium',
        version:'1.1.1',
        format:'image/png'
    },
    {
        resolutions: [25600,12800,6400,3200,1600,800,400,200,100,50,25,10,5,2.5,1,0.5,0.25,0.125,0.0625],
        attribution: "&copy; Ordnance Survey",
        projection: 'EPSG:27700',
        singleTile: false,
        buffer: 0,
        tileSize: new OpenLayers.Size(256, 256),
        isBaseLayer: true
    }
);

var osWms256_3 = new OpenLayers.Layer.WMS("OS Premium 256 3 urls",
    [
        'https://t0.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?',
        'https://t1.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?',
        'https://t2.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?'
    ],
    {
        layers: 'ospremium',
        version:'1.1.1',
        format:'image/png'
    },
    {
        resolutions: [25600,12800,6400,3200,1600,800,400,200,100,50,25,10,5,2.5,1,0.5,0.25,0.125,0.0625],
        attribution: "&copy; Ordnance Survey",
        projection: 'EPSG:27700',
        singleTile: false,
        buffer: 0,
        tileSize: new OpenLayers.Size(256, 256),
        isBaseLayer: true
    }
);

var osWms256_4 = new OpenLayers.Layer.WMS("OS Premium 256 4 urls",
    [
        'https://t0.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?',
        'https://t1.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?',
        'https://t2.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?',
        'https://t3.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?'
    ],
    {
        layers: 'ospremium',
        version:'1.1.1',
        format:'image/png'
    },
    {
        resolutions: [25600,12800,6400,3200,1600,800,400,200,100,50,25,10,5,2.5,1,0.5,0.25,0.125,0.0625],
        attribution: "&copy; Ordnance Survey",
        projection: 'EPSG:27700',
        singleTile: false,
        buffer: 0,
        tileSize: new OpenLayers.Size(256, 256),
        isBaseLayer: true
    }
);

var osWms512_1 = new OpenLayers.Layer.WMS("OS Premium 512 1 url",
    'https://t0.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?',
    {
        layers: 'ospremium',
        version:'1.1.1',
        format:'image/png'
    },
    {
        resolutions: [25600,12800,6400,3200,1600,800,400,200,100,50,25,10,5,2.5,1,0.5,0.25,0.125,0.0625],
        attribution: "&copy; Ordnance Survey",
        projection: 'EPSG:27700',
        singleTile: false,
        buffer: 0,
        tileSize: new OpenLayers.Size(512, 512),
        isBaseLayer: true
    }
);

var osWms512_2 = new OpenLayers.Layer.WMS("OS Premium 512 2 urls",
    [
        'https://t0.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?',
        'https://t1.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?'
    ],
    {
        layers: 'ospremium',
        version:'1.1.1',
        format:'image/png'
    },
    {
        resolutions: [25600,12800,6400,3200,1600,800,400,200,100,50,25,10,5,2.5,1,0.5,0.25,0.125,0.0625],
        attribution: "&copy; Ordnance Survey",
        projection: 'EPSG:27700',
        singleTile: false,
        buffer: 0,
        tileSize: new OpenLayers.Size(512, 512),
        isBaseLayer: true
    }
);

var osWms512_3 = new OpenLayers.Layer.WMS("OS Premium 512 3 urls",
    [
        'https://t0.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?',
        'https://t1.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?',
        'https://t2.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?'
    ],
    {
        layers: 'ospremium',
        version:'1.1.1',
        format:'image/png'
    },
    {
        resolutions: [25600,12800,6400,3200,1600,800,400,200,100,50,25,10,5,2.5,1,0.5,0.25,0.125,0.0625],
        attribution: "&copy; Ordnance Survey",
        projection: 'EPSG:27700',
        singleTile: false,
        buffer: 0,
        tileSize: new OpenLayers.Size(512, 512),
        isBaseLayer: true
    }
);

var osWms512_4 = new OpenLayers.Layer.WMS("OS Premium 512 4 urls",
    [
        'https://t0.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?',
        'https://t1.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?',
        'https://t2.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?',
        'https://t3.ads.astuntechnology.com/northamptonshire-gov-uk/ospremium/service?'
    ],
    {
        layers: 'ospremium',
        version:'1.1.1',
        format:'image/png'
    },
    {
        resolutions: [25600,12800,6400,3200,1600,800,400,200,100,50,25,10,5,2.5,1,0.5,0.25,0.125,0.0625],
        attribution: "&copy; Ordnance Survey",
        projection: 'EPSG:27700',
        singleTile: false,
        buffer: 0,
        tileSize: new OpenLayers.Size(512, 512),
        isBaseLayer: true
    }
);

map.addLayers([osWmsSingle, osWms256_1, osWms256_2, osWms256_3, osWms256_4, osWms512_1, osWms512_2, osWms512_3, osWms512_4, osTms_1, osTms_2, osTms_3, osTms_4]);

if (map.baseLayer === null) {
    map.setBaseLayer(osWmsSingle);
}

// Only set the center if it's not already defined as will be the case is the
// permalink control has set it based on the URL values
if (map.getCenter() === null) {
    map.setCenter(new OpenLayers.LonLat(475395.5, 260016.5), 10);
}

map.addControl(new OpenLayers.Control.LayerSwitcher());
map.addControl(new OpenLayers.Control.Permalink());
